@import url('https://fonts.googleapis.com/css2?family=Crimson+Pro:wght@400;800&family=Fira+Sans:wght@300&family=Raleway:wght@400&display=swap');

:root {
  --gutter: 5%;
}

html {
  height:100%;
}
body {
  background-color: #0d0d14;
  display:flex;
  flex-direction:column;
  justify-content: space-between;
  align-items: stretch;

  font-family: 'Crimson Pro', serif;
  font-size: 10px;
  color: white;
  letter-spacing: normal;
  line-height: normal;

  min-height:100%;
  max-width:1920px;
  margin:0 auto;
}


img {
  max-width:100%;
  height:auto;
}

a {
  color: #bbbbc9;
}
a:hover {
  color: white;
}

.sweet {
  display:none;
}

.error {
  color:salmon;
}

#mainHeader {
  position: relative;
  flex: 0;
  background-color:#191932;
  font-family: 'Fira Sans', sans-serif;
}
#mainHeader::before {
  content:"";
  position:absolute;
  top:0;
  left:0;
  width:100%;
  height:100%;
  background-image:url('../media/bg/1.jpg');
  background-size: cover;
  background-attachment: fixed;
  background-position: center;
  opacity:0.3;
}
#mainHeader > .section {
  position: relative;
}
#mainHeader h1 {
  font-family: inherit;
  font-size:2.1em;
  color:#d2d8ff;
  margin:2% auto;
  max-width:30ch;
  letter-spacing: 0em;
}
#mainHeader h1 a {
  color:inherit;
  text-decoration: none;
}
#mainHeader p {
  font-family: inherit;
  font-size:1.3em;
  color:#999fc9;
  margin:2% auto;
  max-width:45ch;
}

#mainNav {
  flex: 0;
  position: sticky;
  box-sizing: border-box;
  width:100%;
  top:0;
  background-color:#323253;
  border-bottom:1px solid black;
  display:flex;
  flex-direction: row;
  justify-content: space-around;
  margin:0 auto;
  padding:1em 0;
  z-index: 5;
}
.mainNavItem {
  display:flex;
  flex-direction: row;
  justify-content: space-between;
  align-items:center;
  padding:0 0.5em;
  font-size:1.6em;
  text-decoration:none;
}
.mainNavItem.active {
  color:white;
}











.section {
  box-sizing: border-box;
}
.sectionPad {
  padding:var(--gutter);
}
.sectionPadH {
  padding-left:var(--gutter);
  padding-right:var(--gutter);
}
.sectionPadV {
  padding-top:var(--gutter);
  padding-bottom:var(--gutter);
}
.sectionCenter {
  text-align: center;
}
.sectionLimitWidth {
  max-width:1920px;
  margin: 0 auto;
}
.sectionClipH {
  overflow-x: hidden;
}

.section img {
  display:block;
  max-width:100%;
  height:auto;
  margin:0 auto;
}


.sectionHead h1 {
  margin:0 0 0.3em;
}
.sectionHead p {
  font-family: 'Raleway', sans-serif;
  font-size:1em;
  margin:0;
}

.sectionHeading {
  color:#62628a;
  font-size:1.2em;
  text-transform: uppercase;
}


.columns_2 {
  display: flex;
  justify-content:center;
  align-items: stretch;
  margin-left: calc(0% - var(--gutter));
}
.columns_2 > .column {
  flex: 0 1 50ch;
  margin: 0 0 var(--gutter) var(--gutter);
}


.limitTextWidth {
  max-width:50ch;
}
.limitWidth-center {
  margin:0 auto;
}
.limitWidth-70 {
  max-width:70ch;
}
.limitWidth-80 {
  max-width:80ch;
}


.bgDim {
  background-color:rgba(0,0,0,0.7);
}




.imageWrapR {
  float:right;
  margin:0 0 var(--gutter) var(--gutter);
  max-width:50%;
}


h1,h2,h3,h4,h5,h6 {
  font-family: 'Raleway', sans-serif;
  margin:0 0 1em;
  line-height:normal;
  letter-spacing: normal;
}

.block {
  display:block;
  font-weight:normal;
  margin:0 0 0.5em;
}
.block-more-sep {
  margin: 0 0 1.5em;
}
.block a {
  color:inherit;
  text-decoration:none;
}

.smaller {
  font-size:0.6em;
}
.small {
  font-size:0.8em;
}
.big {
  font-size:1.2em;
}
.bigger {
  font-size:1.4em;
}

.bold {
  font-variation-settings: 'wght' 800;
}

.accent {
  color:#fc00ff;
}


#siteFooter {
  flex: 0;
  box-sizing: border-box;
  width:100%;
  display:flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  font-size:1.6em;
  padding-top:var(--gutter);
  padding-bottom:var(--gutter);
}
#siteFooter a {
  text-decoration: none;
}

#backTop {
  position: fixed;
  bottom:0;
  right:0;
  padding:1em;
  display:none;
}


#sitebody {
  font-size:1.6em;
  line-height: 1.8;
  flex:1 1 auto;
}

.textBody {
  max-width:65ch;
  margin:0 auto;
}


.btn {
  padding:0.25em 1em;
  text-decoration: none;
  font-size:1.6em;
  transition: all 250ms;
  background-color:#780065;
  color:white;

}
.btn:hover {
  background-color:#ff00d6;
  color:black;
}


@media only screen and (min-width: 600px) {

  :root {
    --gutter: 3%;
  }

  #mainHeader h1,
  #mainHeader p {
    max-width:unset;
  }

}


@media only screen and (min-width: 900px ) {


}

@media only screen and (min-width: 1200px ) {

  #mainHeader h1 {
    font-size:4em;
    margin: 0.5rem 0;
  }
  #mainHeader p {
    font-size:2.4em;
    margin: 0.5rem 0;
  }

  #mainNav {
    justify-content: center;
  }

  .mainNavItem {
    padding:0.3em 3em;
  }

}
